<?php

namespace Teknisa\ACL\Controllers;

use Teknisa\ACL\Util\InstanceProvider;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;


class Filial extends TeknisaCrud
{
    protected $dataSourceName = "filial";

    public function find(DTO\Request\Filter $request, DTO\Response $response)
    {
        $libEnvironment = InstanceProvider::getLibEnvironment();
        $organizationId = $libEnvironment->getCurrentOrganizationId();
        $request->getFilterCriteria()->addCondition('P_NRORG', $organizationId);
        parent::find($request, $response);
    }

    /**
     * @param DTO\Request\Filter $request
     * @param DTO\Response $response
     * @throws \Exception
     */
    public function getCdFilialLogged(DTO\Request\Filter $request, DTO\Response $response)
    {
        $libEnvironment = InstanceProvider::getLibEnvironment();
        $cdFilial = is_null($libEnvironment->getCdFilial()) ? [] : [$libEnvironment->getCdFilial()];
        $response->addDataSet(new DataSet('findCdFilialLogged', $cdFilial));
    }

}